<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Pengadaan Barang</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Pengadaan Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-header">
                            <h4>List</h4>
                            <div class="card-header-action">
                                <a th:href="@{/request/assetProcurement/form}" class="btn btn-primary">+ New</a>

                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-9">
                                </div>
                                <div class="col-md-3">
                                    <form method="get">
                                        <div class="form-group">
                                            <div class="input-group">
                                                <input type="text" class="form-control" name="search" th:value="${search}" placeholder="Search ...">
                                                <div class="input-group-append">
                                                    <button class="btn btn-sm btn-primary" type="submit">Search</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="alert alert-fill-success" role="alert" th:if="${success != null}">
                                <i class="mdi mdi-alert-circle"></i> Save data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${delete != null}">
                                <i class="mdi mdi-alert-circle"></i> Delete data successful... </div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${tidakBerhasil != null}">
                                <i class="mdi mdi-alert-circle"></i> Lampiran harus di isi ...</div>
                            <div class="alert alert-fill-danger" role="alert" th:if="${gagal != null}">
                                <i class="mdi mdi-alert-circle"></i> Data tidak bisa dihapus, karena ada data departemen yang terkait dengan instansi tersebut. </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th> # </th>
                                        <th> Nama Barang </th>
                                        <th> Jumlah </th>
                                        <th> Satuan </th>
                                        <th> Spesifikasi </th>
                                        <!--                                <th> Harga Pokok </th>-->
                                        <!--                                <th> Total Harga </th>-->
                                        <th> Status </th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data,row : ${listAssetProcurement}">
                                        <td th:text="${(row.index + 1)}"></td>
                                        <td th:text="${data.namaAset}"></td>
                                        <td th:text="${data.jumlah}"></td>
                                        <td th:text="${data.satuan}"></td>
                                        <td>
                                            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-backdrop="false" th:data-target="${'#exampleModalGo' + data.id}">
                                                Lihat Detail
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModalGo' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="form-group">
                                                                    <label>Spek Aset</label>
                                                                    <p><b th:text="${data.spekAset}"></b></p>
                                                                </div>
                                                                <div class="form-group">
                                                                    <label>Kegunaan</label>
                                                                    <p><b th:text="${data.kegunaan}"></b></p>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Tutup</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                        <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.hargaAset, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                        <!--                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data.totalHarga, 0, 'POINT', 2, 'COMMA')}"></td>-->
                                       <td>
                                           <button type="button" th:if="${data.statusApproved == 'WAITING'}" class="btn btn-outline-warning btn-sm" data-toggle="modal" th:data-target="${'#approval' + data.id}">
                                               WAITING
                                           </button>
                                           <button type="button" th:if="${data.statusApproved == 'APPROVED'}" class="btn btn-outline-success btn-sm" data-toggle="modal" th:data-target="${'#approval' + data.id}">
                                               APPROVED
                                           </button>
                                           <button class="btn btn-outline-danger btn-sm" th:if="${data.statusApproved == 'REJECTED'}">REJECTED</button>

                                           <!-- Modal -->
                                           <div class="modal fade bd-example-modal-lg" th:id="${'approval' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                               <div class="modal-dialog modal-lg" role="document">
                                                   <div class="modal-content">
                                                       <div class="modal-header">
                                                           <h5 class="modal-title" id="exampleModalLabel">List</h5>
                                                           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                               <span aria-hidden="true">&times;</span>
                                                           </button>
                                                       </div>
                                                       <div class="modal-body">
                                                           <div class="table-responsive">
                                                               <table class="table table-bordered">
                                                                   <tr>
                                                                       <th>#</th>
                                                                       <th>Nama</th>
                                                                       <th>Jabatan</th>
                                                                       <th>Status</th>
                                                                       <th>Tanggal Approval</th>
                                                                   </tr>
                                                                   <tr th:each="dataApproval, row:${listApproval}">
                                                                       <td th:if="${data.id == dataApproval[0]}" th:text="${(row.index + 1)}"></td>
                                                                       <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[1]}"></td>
                                                                       <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[2]}"></td>
                                                                       <td th:if="${data.id == dataApproval[0]}" th:text="${dataApproval[4]}"></td>
                                                                       <td th:if="${data.id == dataApproval[0]}">
                                                                           <span th:if="${dataApproval[5] == null}">
                                                                               -
                                                                           </span>
                                                                           <span th:if="${dataApproval[5] != null}" th:text="${dataApproval[5]}">
                                                                               -
                                                                           </span>
                                                                       </td>
                                                                   </tr>
                                                               </table>
                                                           </div>
                                                       </div>
                                                       <div class="modal-footer">
                                                           <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                       </div>
                                                   </div>
                                               </div>
                                           </div>
                                       </td>
                                        <td>
                                            <span th:if="${data.statusApproved == 'APPROVED'}">-</span>
                                            <button th:if="${data.statusApproved != 'APPROVED'}" type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                Cancel
                                            </button>

                                            <!-- Modal -->
                                            <div class="modal fade" th:id="${'exampleModal' + data.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <form th:action="@{/request/assetProcurement/cancel(asetPengadaan = ${data.id})}" method="post">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                    <span aria-hidden="true">&times;</span>
                                                                </button>
                                                            </div>
                                                            <div class="modal-body">
                                                                Do you want to delete this data ?
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                <button type="submit" class="btn btn-primary">Yes</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                <nav>
                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
</body>
</html>